Esri UK Products and ArcGIS 10.6 Support

We are pleased to announce that all Esri UK products have now been certified to run with ArcGIS 10.6.

The versions that have been certified for 10.6 are:

  • ProductivitySuite - 3.5 (existing release)
  • CrimeAnalyst - 2.6 R2 (new release)
  • LocatorHub - 5.4 SP2 HF1 (new release)

For further information please refer to the Product Lifecycles